fastlane-community / danger-xcov

Danger plugin to validate the code coverage of the files changed in a pull request

Geek Repo:Geek Repo

Github PK Tool:Github PK Tool

Not working anymore with Fastlane 2.86.0

valeriomazzeo opened this issue · comments

keep getting this error:

[!] The exception involves the following plugins:
 -  danger-xcov
bundler: failed to load command: danger (/Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/bin/danger)
Danger::DSLError: 
[!] Invalid `Dangerfile` file: Could not find option 'xcconfig' in the list of available options: workspace, project, scheme, configuration, source_directory, derived_data_path, output_directory, html_report, markdown_report, json_report, minimum_coverage_percentage, slack_url, slack_channel, skip_slack, slack_username, slack_message, ignore_file_path, include_test_targets, exclude_targets, include_targets, only_project_targets, coveralls_service_name, coveralls_service_job_id, coveralls_repo_token
 #  from Dangerfile:25
 #  -------------------------------------------
 #  # code coverage
 >  xcov.report(
 #     scheme: "myproj-Package",
 #  -------------------------------------------
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/fastlane-2.86.0/fastlane_core/lib/fastlane_core/ui/interface.rb:133:in `user_error!'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/fastlane-2.86.0/fastlane_core/lib/fastlane_core/ui/ui.rb:17:in `method_missing'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/fastlane-2.86.0/fastlane_core/lib/fastlane_core/configuration/configuration.rb:327:in `verify_options_key!'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/fastlane-2.86.0/fastlane_core/lib/fastlane_core/configuration/configuration.rb:216:in `fetch'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/fastlane-2.86.0/fastlane_core/lib/fastlane_core/project.rb:312:in `xcodebuild_parameters'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/fastlane-2.86.0/fastlane_core/lib/fastlane_core/project.rb:328:in `build_xcodebuild_showbuildsettings_command'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/fastlane-2.86.0/fastlane_core/lib/fastlane_core/project.rb:348:in `build_settings'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/fastlane-2.86.0/fastlane_core/lib/fastlane_core/project.rb:385:in `default_build_settings'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/xcov-1.3.3/lib/xcov/manager.rb:145:in `derived_data_path'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/xcov-1.3.3/lib/xcov/manager.rb:40:in `parse_xccoverage'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-xcov-0.4.1/lib/danger_plugin.rb:64:in `produce_report'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-xcov-0.4.1/lib/danger_plugin.rb:36:in `report'
  Dangerfile:25:in `block in parse'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-5.5.11/lib/danger/danger_core/dangerfile.rb:200:in `eval'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-5.5.11/lib/danger/danger_core/dangerfile.rb:200:in `block in parse'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-5.5.11/lib/danger/danger_core/dangerfile.rb:196:in `instance_eval'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-5.5.11/lib/danger/danger_core/dangerfile.rb:196:in `parse'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-5.5.11/lib/danger/danger_core/dangerfile.rb:274:in `run'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-5.5.11/lib/danger/danger_core/executor.rb:28:in `run'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-5.5.11/lib/danger/commands/runner.rb:68:in `run'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/claide-1.0.2/lib/claide/command.rb:334:in `run'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/gems/danger-5.5.11/bin/danger:5:in `<top (required)>'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/bin/danger:23:in `load'
  /Users/travis/build/myproj/src/vendor/bundle/ruby/2.4.0/bin/danger:23:in `<top (required)>'

Hi @valeriomazzeo 👋

Thanks for reporting. Can I see the parameters you're passing to xcov?

xcov.report(
   scheme: "MyProj-Package",
   minimum_coverage_percentage: 70.0,
   include_targets: "MyProj.framework"
)

This change on Fastlane is causing many important issues. I recommend not updating Fastlane to 2.86.0 until we get confirmation everything is OK.

Linking fastlane/fastlane#12103 for reference.

Also linking this fastlane/fastlane#12113 to keep track of the xcodeproj issues.

Hello! The xcodeproj issues just got merged (fastlane/fastlane#12147) so this should be fixed in next fastlane release 🙃

Thanks for the update @joshdholtz 👍

What's the status on this one?